Subject: Re: bug#77961: 31.0.50; Rendering HTML email is very slow since commit #eab14d68b2e72b9a6b8b0cc67c9667c2bfbed4f5

From: Gerd Möllmann <[email-masked]>
Date: Tue, 22 Apr 2025 14:57:51 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Iñigo Serna <[email-masked]>,  Eli Zaretskii
>>  <[email-masked]>,
>>   [email-masked]
>> Date: Tue, 22 Apr 2025 09:10:42 +0200
>> 
>> Ihor Radchenko <[email-masked]> writes:
>> 
>> > Gerd Möllmann <[email-masked]> writes:
>> >>>>> I attach a profiler output, and a HTML file which causes a similar
>> >>>>> slowdown when opening from eww.
>> >>
>> >> I'm afraid I don't see much in the profile. Only thing is that that
>> >> redisplay_internal isn't called often. Which makes it even weirder that
>> >> glyph matrix enlargement should play a role.
>> >
>> > Looking into reverse call tree (B), I see that
>> >
>> >         1874  33% + set-window-configuration
>> >
>> > takes 1/3 of CPU cycles. Looking into its source, it does deal with
>> > glyph matrices. So, it is the suspect, judging from the submitted
>> > profiler report.
>> 
>> Thanks, indeed.
>> 
>> Which I also find weird. Why is that done in the first place?
>
> If the comment in set-window-configuration before it messes with glyph
> matrices doesn't answer this question, maybe Martin (CC'ed) can help us
> understand the reason?

Thanks, but I meant why does shr so many set-window-configuration calls.